Page MenuHomePhabricator

GWToolset causes fatal error on beta cluster
Closed, ResolvedPublic

Description

From https://logstash-beta.wmflabs.org/#/dashboard/elasticsearch/fatalmonitor since Feb 12 at 20:30 UTC:

Class undefined: GWToolset\Config in /srv/mediawiki/wmf-config/CommonSettings.php on line 1902

Fatal error: Class undefined: GWToolset\Config in /srv/mediawiki/wmf-config/CommonSettings.php on line 1902

Most probably caused by https://gerrit.wikimedia.org/r/#/c/268897/

Event Timeline

hashar created this task.Feb 12 2016, 11:57 PM
hashar raised the priority of this task from to High.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, Reedy, JeanFred.
Restricted Application added projects: Multimedia, Commons. · View Herald TranscriptFeb 12 2016, 11:57 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptFeb 13 2016, 12:09 AM

Change 270458 had a related patch set uploaded (by MaxSem):
Fix fatal in beta that threatens to be propagated to producton

https://gerrit.wikimedia.org/r/270458

Change 270459 had a related patch set uploaded (by MaxSem):
Fix GWToolset-related fatal

https://gerrit.wikimedia.org/r/270459

Change 270458 merged by jenkins-bot:
Fix fatal in beta that threatens to be propagated to producton

https://gerrit.wikimedia.org/r/270458

Mentioned in SAL [2016-02-13T05:51:35Z] <bd808> disabled jobrunner process on jobrunner01; queue full of jobs broken by T126830

bd808 raised the priority of this task from High to Unbreak Now!.Feb 13 2016, 5:53 AM

Beta cluster jobrunner broken by this configuration issue. I'm to cowardly to +2 the config change at this time.

bd808 closed this task as Resolved.Feb 13 2016, 6:30 AM
bd808 claimed this task.

Changes that caused this have been reverted. See T87928: Convert GWToolset to use extension registration

Restricted Application added a project: User-bd808. · View Herald TranscriptFeb 13 2016, 6:30 AM

Mentioned in SAL [2016-02-13T06:32:22Z] <bd808> jobrunner on deployment-jobrunner01 enabled after reverting changes from T87928 that caused T126830

Ugh, sorry :/ I should have been more suspicious that there were no config settings in the extension.json file and it was using some weird thing instead...

greg added a subscriber: greg.Feb 13 2016, 7:35 AM

Thanks Bryan (and stashbot was greatly useful).

bd808 moved this task from To Do to Archive on the User-bd808 board.Feb 21 2016, 8:54 PM

Change 270459 abandoned by MaxSem:
Fix GWToolset-related fatal

https://gerrit.wikimedia.org/r/270459

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptNov 18 2017, 6:23 PM